aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Langenmaier <stefan.langenmaier@gmail.com>2017-01-24 16:09:04 -0500
committerSebastian Pipping <sping@gentoo.org>2017-02-21 23:48:35 +0100
commit184bd4c0ba050b17feb68e85a69e2da26ed8d409 (patch)
tree18035937f5b447ef9ab9617fffaa204ba2defc4f /dev-util/eclipse-sdk-bin/files
parentdev-java/jsr250: Remove (pull request #18) (diff)
downloadeclipse-184bd4c0ba050b17feb68e85a69e2da26ed8d409.tar.gz
eclipse-184bd4c0ba050b17feb68e85a69e2da26ed8d409.tar.bz2
eclipse-184bd4c0ba050b17feb68e85a69e2da26ed8d409.zip
dev-util/eclipse-sdk-bin: 4.6.2 (pull request #17)
Diffstat (limited to 'dev-util/eclipse-sdk-bin/files')
-rw-r--r--dev-util/eclipse-sdk-bin/files/eclipse-sdk-bin-4.6.2-eclipse-bin50
-rw-r--r--dev-util/eclipse-sdk-bin/files/eclipse-sdk-bin-4.6.2-eclipserc-bin29
2 files changed, 79 insertions, 0 deletions
diff --git a/dev-util/eclipse-sdk-bin/files/eclipse-sdk-bin-4.6.2-eclipse-bin b/dev-util/eclipse-sdk-bin/files/eclipse-sdk-bin-4.6.2-eclipse-bin
new file mode 100644
index 0000000..d71ee14
--- /dev/null
+++ b/dev-util/eclipse-sdk-bin/files/eclipse-sdk-bin-4.6.2-eclipse-bin
@@ -0,0 +1,50 @@
+#! /bin/bash
+#
+# Tiny startup wrapper for Eclipse
+#
+# Copyright (c) 2004, Karl Trygve Kalleberg <karltk@gentoo.org>
+# Copyright (c) 2007-2008, Jean-Noël Rivasseau <elvanor@gentoo.org>
+# Copyright (c) 2004-2008, Gentoo Foundation
+# Copyright (c) 2015, Sebastian Pipping <sping@gentoo.org>
+# Copyright (c) 2016, Stefan Langenmaier <stefan.langenmaier@gmail.com>
+#
+# Licensed under the GNU General Public License, version 2
+#
+
+[[ -f "/etc/eclipserc-bin-%SLOT%" ]] && . "/etc/eclipserc-bin-%SLOT%"
+[[ -f "$HOME/gentoo/.eclipserc" ]] && . "$HOME/gentoo/.eclipserc"
+
+ECLIPSE_HOME=${ECLIPSE_HOME:="/opt/eclipse-sdk-bin-%SLOT%"}
+ECLIPSE_BIN="${ECLIPSE_HOME}/eclipse"
+
+if [[ ! -x "${ECLIPSE_BIN}" ]] ; then
+ echo "Failed to find executable '${ECLIPSE_BIN}'" > /dev/stderr
+ exit 1
+fi
+
+if [[ $(id -u) -eq 0 ]] ; then
+ echo "Do not run eclipse as root user! Exiting ..." > /dev/stderr
+ exit 1
+fi
+
+case "$(java-config -f)" in
+ *gcj*)
+ export JAVA_PKG_CLASSMAP="${ECLIPSE_HOME}/eclipse.gcjdb"
+ ;;
+esac
+
+[ -n "${ECLIPSE_XMS}" ] && VM_ARGS="${VM_ARGS} -Xms${ECLIPSE_XMS}"
+[ -n "${ECLIPSE_XMX}" ] && VM_ARGS="${VM_ARGS} -Xmx${ECLIPSE_XMX}"
+[ -n "${ECLIPSE_PERMSIZE}" ] && VM_ARGS="${VM_ARGS} -XX:PermSize=${ECLIPSE_PERMSIZE}"
+[ -n "${ECLIPSE_MAX_PERMSIZE}" ] && VM_ARGS="${VM_ARGS} -XX:MaxPermSize=${ECLIPSE_MAX_PERMSIZE}"
+
+# lombok support
+[ -n "${LOMBOK_JAR}" ] && [ -f "${LOMBOK_JAR}" ] && VM_ARGS="${VM_ARGS} -javaagent:${LOMBOK_JAR}"
+
+# Fix for JRE 1.5.
+export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib
+
+# option to switch GTK backend
+[ -n "${SWT_GTK3}" ] && export SWT_GTK3="${SWT_GTK3}"
+
+exec "${ECLIPSE_BIN}" -vm $(java-config --java) "$@" "${ECLIPSE_USER_ARGS}" -vmargs ${VM_ARGS}
diff --git a/dev-util/eclipse-sdk-bin/files/eclipse-sdk-bin-4.6.2-eclipserc-bin b/dev-util/eclipse-sdk-bin/files/eclipse-sdk-bin-4.6.2-eclipserc-bin
new file mode 100644
index 0000000..ba750e5
--- /dev/null
+++ b/dev-util/eclipse-sdk-bin/files/eclipse-sdk-bin-4.6.2-eclipserc-bin
@@ -0,0 +1,29 @@
+# This file specifies some initial Eclipse settings, like memory allowed
+# These settings only affect Eclipse startup and overall configuration
+# Main Eclipse configuration should be done within Eclipse (with the GUI)
+
+# Following variables controls the minimal and maximum amounts of memory
+# allocated to Eclipse (respectively).
+# Increase those numbers if you get OutOfMemory errors.
+
+ECLIPSE_XMS=128m
+ECLIPSE_XMX=256m
+
+# Following variables controls the minimal and maximum amounts of memory
+# allocated to the permanent generation space.
+# This space contains data related to all classes.
+# Thus, if you use a lot of Eclipse plugins, it is recommended to uncomment
+# these variables and even increase it, if you have enough RAM.
+# Else you will get crashes related to OutOfMemory in PermGen exceptions.
+
+#ECLIPSE_PERMSIZE=64m
+#ECLIPSE_MAX_PERMSIZE=128m
+
+# Eclipse 4.5 Mars has some visual issues with GTK>=3.16
+# SWT_GTK3=1 - to enable GTK3
+# SWT_GTK3=0 - to enable GTK2
+SWT_GTK3=1
+
+# Default lombok.jar
+# can also be unset/overwritten by the user
+LOMBOK_JAR=/usr/share/lombok/lombok.jar